Commit e69aa676 authored by Sebastien Bacher's avatar Sebastien Bacher

* debian/tests:

  - set up the installed-tests as autopkgtests
parent 70d7a850
bolt (0.8-2) UNRELEASED; urgency=medium
* Enable installed tests, ship them in a new binary
* debian/tests:
- set up the installed-tests as autopkgtests
-- Sebastien Bacher <seb128@ubuntu.com> Thu, 04 Jul 2019 12:28:30 +0200
......
Tests: installed-tests
Depends: @, dpkg-dev, umockdev, python3-dbus, python3-dbusmock, python3-gi, gir1.2-umockdev-1.0
Restrictions: allow-stderr
#!/bin/sh
# (C) 2013,2019 Canonical Ltd.
# (C) 2019 Simon McVittie
# Authors: Iain Lane, Sebastien Bacher, Simon McVittie
# SPDX-License-Identifier: LGPL-2.0-or-later
set -eu
export G_MESSAGES_DEBUG=all
export XDG_RUNTIME_DIR="$AUTOPKGTEST_TMP"
printf "Running as: "; id -a
printf "passwd entry: "; getent passwd "$(id -u)" || echo "(exit status $?)"
printf "group entry: "; getent group "$(id -g)" || echo "(exit status $?)"
echo "Environment:"
env | LC_ALL=C sort -u
for tests in /usr/lib/bolt/installed-tests/bolt/test-*;
do
umockdev-wrapper "$tests"
done
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment